Subject: Module submission - nvmixer

Zbigniew Luszpinski zbiggy at o2.pl
Thu Sep 22 21:54:02 UTC 2005


module name       : nvmixer
suggested section : x11
update (y/n)      : n
bugfix (y/n)      : n
security (y/n)    : n

Original nvmixer from NFORCE module will not work
with recent libc 6 library available in lunar now. This module
will build nvmixer from sources and will work with new libc 6 library.
Additionaly this module can install optional scripts which will load/store
mixer settings on boot/shutdown.

greets,
Zbigniew 'zbiggy' Luszpinski
-------------- next part --------------
--- nvmixer/BUILD	1970-01-01 01:00:00.000000000 +0100
+++ nvmixer/BUILD	2005-09-22 20:42:13.000000000 +0200
@@ -0,0 +1,23 @@
+(
+  sedit "s/-march=i386 -mcpu=i686/$CFLAGS/" NvMixer/Makefile &&
+  make         &&
+  make install &&
+  install -m755 MixerRegistry/nvmixrc /etc/
+  install -m755 MixerRegistry/nvmix-reg /usr/bin/
+
+) > $C_FIFO 2>&1  && (
+
+    case  $NVMIX_BOOT  in
+      y|Y)  [  -f  /etc/init.d/nvmix  ]  ||
+                cp  $SCRIPT_DIRECTORY/nvmix  /etc/init.d
+
+                ln  -sf  ../init.d/nvmix  /etc/rc0.d/K47nvmix
+                ln  -sf  ../init.d/nvmix  /etc/rc6.d/K47nvmix
+
+                ln  -sf  ../init.d/nvmix  /etc/rc3.d/S47nvmix
+                ;;
+
+            *)  true  ;;
+  esac
+
+)
--- nvmixer/CONFIGURE	1970-01-01 01:00:00.000000000 +0100
+++ nvmixer/CONFIGURE	2005-09-22 20:35:38.000000000 +0200
@@ -0,0 +1 @@
+mquery NVMIX_BOOT "Load your nVidia audio mixer settings during boot?" y
--- nvmixer/DETAILS	1970-01-01 01:00:00.000000000 +0100
+++ nvmixer/DETAILS	2005-09-22 20:52:24.000000000 +0200
@@ -0,0 +1,18 @@
+           MODULE=nvmixer
+          SOURCE=$MODULE.tgz
+	  VERSION=std
+     SOURCE_URL=ftp://download.nvidia.com/linux/nforce/$MODULE/
+      SOURCE_VFY=sha1:5775bd046bbeaf39c14908333a4142741a2f344a
+      SOURCE_DIRECTORY=$BUILD_DIRECTORY/$MODULE
+         ENTERED=20050920
+         UPDATED=20050920
+	 MAINTAINER=zbiggy at o2.pl
+       SHORT="nvmixer update for nForce driver pack and lunar with new libc"
+
+cat << EOF
+However nvmixer is present in NFORCE driver pack, it will not work with new 
libc available
+in lunar recently. So if get you such message: error while loading shared 
libraries: libstdc++.so.5:
+when running nvmixer - install this module.
+Other people can install this module to achieve better optimization than 386 
in binary nvmixer.
+
+EOF
--- nvmixer/nvmix	1970-01-01 01:00:00.000000000 +0100
+++ nvmixer/nvmix	2005-09-22 20:32:55.000000000 +0200
@@ -0,0 +1,22 @@
+#!/bin/bash
+# nVidia nForce hardware mixer setup script
+# written by Zbigniew Luszpinski zbiggy at o2.pl
+# chkconfig 3 90 10
+# processname: nvmix
+
+start()
+{
+echo Loading nvidia mixer settings
+/sbin/modprobe --ignore-install nvsound && /usr/bin/nvmix-reg -f /etc/nvmixrc 
-L >/dev/null 2>&1 || :
+}
+
+stop()
+{
+echo Storing nvidia mixer settings
+if grep -q "\(nvsound\)" /proc/modules && [ -f /etc/nvmixrc -a 
-x /usr/bin/nvmix-reg ]; then
+/usr/bin/nvmix-reg -f /etc/nvmixrc -S >/dev/null 2>&1 || :
+/sbin/modprobe -r --ignore-remove nvsound
+fi
+}
+
+. /lib/lsb/init-functions
--- nvmixer/PRE_REMOVE	1970-01-01 01:00:00.000000000 +0100
+++ nvmixer/PRE_REMOVE	2005-09-22 20:35:01.000000000 +0200
@@ -0,0 +1,3 @@
+if [ -x  /etc/init.d/nvmix ]; then
+   /etc/init.d/nvmix stop
+fi


More information about the Lunar mailing list